Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
required

Maximum number of cards per page.

Required range: x <= 100
offset
integer
required

Starting index for pagination.

status
enum<string>

Filter cards by status.

Available options:
WAITING_ACTIVATION,
ACTIVE,
CANCELLED,
BLOCKED,
REISSUED,
EXPIRED
createdDate
string<date>

Filter cards by creation date (YYYY-MM-DD).

expiryDate
string<date>

Filter cards by expiry date (YYYY-MM-DD).

activationDate
string<date>

Filter cards by activation date (YYYY-MM-DD).

updatedDate
string<date>

Filter cards by last updated date (YYYY-MM-DD).

metadata
string

Filter on metadata key-value pairs (flat JSON only), e.g., metadata.orderId=12345.

Response

List of cards retrieved successfully.

total
integer

Total number of cards matching the filter.

limit
integer
offset
integer
cards
object[]